Skip to main content
PATCH
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
exam-sessions
/
{id}
Update sessions exam sessions partial
curl --request PATCH \
  --url https://test-api.afrainity.com/api/v1/school/sessions/{session_pk}/exam-sessions/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "term": "1",
  "name": "<string>",
  "is_published": true,
  "is_deleted": true,
  "is_active": true
}
'
{
  "term": "1",
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_published": true,
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "is_active": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this exam session.

session_pk
string<uuid>
required

Body

Auto-populate created_by from request.user when available.

term
enum<string>
  • 1 - 1
  • 2 - 2
  • 3 - 3
Available options:
1,
2,
3
name
string
Required string length: 1 - 255
is_published
boolean
is_deleted
boolean
is_active
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

term
enum<string>
required
  • 1 - 1
  • 2 - 2
  • 3 - 3
Available options:
1,
2,
3
name
string
required
Maximum string length: 255
id
string<uuid>
session
string<uuid>
is_published
boolean
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>
is_active
boolean